Loading...
Searching...
No Matches
BALL::Rescoring4D Class Reference

`#include <BALL/SCORING/FUNCTIONS/rescoring4D.h>`

Inheritance diagram for BALL::Rescoring4D:

## Public Member Functions

| Rescoring4D (AtomContainer &receptor, AtomContainer &reference_ligand, Options &options, String free_energy_label, ScoringFunction *sf)
Public Member Functions inherited from BALL::Rescoring3D
| Rescoring3D (AtomContainer &receptor, AtomContainer &reference_ligand, Options &options, String free_energy_label, ScoringFunction *sf)
std::list< std::pair< String, RegularData3D * > > | generateRegularData3DGrids ()
Public Member Functions inherited from BALL::Rescoring
| Rescoring (AtomContainer &receptor, AtomContainer &reference_ligand, Options &options, String free_energy_label, ScoringFunction *sf)
virtual | ~Rescoring ()
void | addScoreContributions (Molecule *mol)
void | recalibrate ()
virtual double | rescore (Molecule *mol)
void | saveModel (String filename)
void | loadModel (String filename)
void | calculateQuality (double &correlation, double &q2, double &std_error)
const String & | getName ()

## Protected Member Functions

void | generateAtomScoreContributions_ (const Atom *atom, vector< double > &contributions)
Protected Member Functions inherited from BALL::Rescoring3D
void | setup_ ()
void | generateScoreContributions_ (Molecule *mol, std::vector< std::vector< double > > *matrix, std::vector< double > *v)
virtual void | generateAtomScoreContributions_ (const Atom *atom, std::vector< double > &contributions)
Protected Member Functions inherited from BALL::Rescoring
virtual void | generateScoreContributions_ (Molecule *, vector< vector< double > > *, vector< double > *)
void | setup_ ()

## Additional Inherited Members

Protected Attributes inherited from BALL::Rescoring3D
Size | sizeX_
Size | sizeY_
Size | sizeZ_
double | resolution_
Vector3 | origin_
std::vector< String > | reg3D_grid_names_
Protected Attributes inherited from BALL::Rescoring
ScoringFunction * | scoring_function_
RescoreQSARData | data_
QSAR::RegressionModel * | model_
String | free_energy_label_
String | ff_filename_
bool | convert_
bool | use_calibration_
vector< double > | predicted_affinities_
vector< double > | experimental_affinities_
bool | check_applicability_
String | name_
std::ofstream | stddev_out_

## Detailed Description

Definition at line 14 of file rescoring4D.h.

## Constructor & Destructor Documentation

## Rescoring4D()

BALL::Rescoring4D::Rescoring4D | ( | AtomContainer & | receptor,
|  | AtomContainer & | reference_ligand,
|  | Options & | options,
|  | String | free_energy_label,
|  | ScoringFunction * | sf )

## Member Function Documentation

## generateAtomScoreContributions_()

void BALL::Rescoring4D::generateAtomScoreContributions_ | ( | const Atom * | atom,
|  | vector< double > & | contributions )

protected

Obtain score-contributions for a single atom. Overloaded by class Rescoring4D